<?xml version="1.0" encoding="UTF-8"?>
<schemalist gettext-domain="arc-menu">
  <enum id='org.gnome.shell.extensions.arc-menu.visible'>
    <value value='0' nick='ALL'/>
    <value value='1' nick='APPS_ONLY'/>
    <value value='2' nick='SYSTEM_ONLY'/>
  </enum>
    <enum id='org.gnome.shell.extensions.arc-menu.menulayout'>
    <value value='0' nick='Default'/>
    <value value='1' nick='Brisk'/>
    <value value='2' nick='Whisker'/>
    <value value='3' nick='GnomeMenu'/>
    <value value='4' nick='Mint'/>
    <value value='5' nick='Elementary'/>
    <value value='6' nick='GnomeDash'/>
    <value value='7' nick='Simple'/>
    <value value='8' nick='Simple2'/>
    <value value='9' nick='Redmond'/>
    <value value='10' nick='UbuntuDash'/>
  </enum>
  <enum id='org.gnome.shell.extensions.arc-menu.menu-hotkey'>
    <value value='0' nick='Undefined'/>
    <value value='1' nick='Super_L'/>
    <value value='2' nick='Super_R'/>
    <value value='3' nick='Custom'/>
  </enum>
  <enum id='org.gnome.shell.extensions.arc-menu.menu-position'>
    <value value="0" nick="Left"/>
    <value value="1" nick="Center"/>
    <value value="2" nick="Right"/>
  </enum>
  <enum id='org.gnome.shell.extensions.arc-menu.menu-button-appearance'>
    <value value="0" nick="Icon"/>
    <value value="1" nick="Text"/>
    <value value="2" nick="Icon_Text"/>
    <value value="3" nick="Text_Icon"/>
  </enum>
    <enum id='org.gnome.shell.extensions.arc-menu.avatar-style'>
    <value value="0" nick="Circular"/>
    <value value="1" nick="Square"/>
  </enum>
  <enum id='org.gnome.shell.extensions.arc-menu.menu-button-text'>
    <value value="0" nick="System_Text"/>
    <value value="1" nick="Custom_Text"/>
  </enum>
  <enum id='org.gnome.shell.extensions.arc-menu.menu-button-icon'>
    <value value="0" nick="Arc_Menu_Icon"/>
    <value value="1" nick="System_Icon"/>
    <value value="2" nick="Custom_Icon"/>
  </enum>
  <schema path="/org/gnome/shell/extensions/arc-menu/" id="org.gnome.shell.extensions.arc-menu">
    <key name="visible-menus" enum="org.gnome.shell.extensions.arc-menu.visible">
      <default>'ALL'</default>
      <summary>Visible menus</summary>
      <description>Which menus are visible within the Arc Menu popup.</description>
    </key>
    <key name="menu-layout" enum="org.gnome.shell.extensions.arc-menu.menulayout">
      <default>'Default'</default>
      <summary>menu layout</summary>
      <description>Menu Layout</description>
    </key>
    <key type="b" name="disable-hotkey-onkeyrelease">
     <default>false</default>
      <summary>disable hotkey on key release</summary>
      <description>disable hotkey on key release.</description>
    </key>
    <key type="b" name="disable-tooltips">
     <default>false</default>
      <summary>disable tooltips</summary>
      <description>disable tooltips.</description>
    </key>
      <key type="b" name="enable-pinned-apps">
     <default>true</default>
      <summary>Enable Pinned Apps</summary>
      <description>Enable Pinned Apps.</description>
    </key>
    <key type="b" name="reload-theme">
     <default>false</default>
      <summary>Used to reload theme</summary>
      <description>Used to reload theme.</description>
    </key>
    <key type="b" name="vert-separator">
     <default>false</default>
      <summary>Enable a vertical separator</summary>
      <description>Enable a vertical separator.</description>
    </key>
    <key type="s" name="separator-color">
     <default>"rgb(63,62,64)"</default>
      <summary>Separator Color</summary>
      <description>Separator Color.</description>
    </key>
    <key type="s" name="menu-color">
     <default>"rgba(28, 28, 28, 0.98)"</default>
      <summary>Menu Color</summary>
      <description>Menu Color.</description>
    </key>
    <key type="s" name="menu-foreground-color">
     <default>"rgba(211, 218, 227, 1)"</default>
      <summary>Menu Foreground Color</summary>
      <description>Menu Foreground Color.</description>
    </key>  
    <key type="s" name="border-color">
     <default>"rgb(63,62,64)"</default>
      <summary>Border Color</summary>
      <description>Border Color.</description>
    </key>
    <key type="s" name="highlight-color">
    <default>"rgba(238, 238, 236, 0.1)"</default>
      <summary>Highlight Color</summary>
      <description>Highlight Color.</description>
    </key>
    <key type="i" name="menu-font-size">
    <default>9</default>
      <summary>Menu font size</summary>
      <description>Menu font size.</description>
    </key>
    <key type="i" name="menu-border-size">
    <default>0</default>
      <summary>Menu border size</summary>
      <description>Menu border size.</description>
    </key>
    <key type="i" name="menu-corner-radius">
    <default>0</default>
      <summary>Menu corner radius</summary>
      <description>Menu corner radius.</description>
    </key>
    <key type="i" name="menu-margin">
    <default>0</default>
      <summary>Menu margin</summary>
      <description>Menu margin.</description>
    </key>
    <key type="i" name="menu-arrow-size">
    <default>0</default>
      <summary>Menu arrow size</summary>
      <description>Menu arrow size.</description>
    </key>
    <key type="i" name="menu-height">
     <default>550</default>
      <summary>Menu Height</summary>
      <description>Menu Height.</description>
    </key>
    <key type="i" name="menu-width">
     <default>290</default>
      <summary>Menu width</summary>
      <description>Menu width.</description>
    </key>
      <key type="i" name="menu-rightpanel-width">
     <default>210</default>
      <summary>Menu right panel width</summary>
      <description>Menu right panel width</description>
    </key>
    <key type="b" name="enable-custom-arc-menu">
     <default>false</default>
      <summary>Enable Custom Arc Menu Theme</summary>
      <description>Enable Custom Arc Menu Theme.</description>
    </key>
	<key type="b" name="show-computer-shortcut">
     <default>false</default>
      <summary>Show Computer Shortcut</summary>
      <description>Show ComputerShortcut.</description>
    </key>
      <key type="b" name="show-network-shortcut">
     <default>false</default>
      <summary>Show Network Shortcut</summary>
      <description>Show Network Shortcut.</description>
    </key>
    <key type="b" name="show-home-shortcut">
     <default>true</default>
      <summary>Show Home Shortcut</summary>
      <description>Show Home Shortcut.</description>
    </key>
    <key type="b" name="show-documents-shortcut">
     <default>true</default>
      <summary>Show Documents Shortcut</summary>
      <description>Show Documents Shortcut.</description>
    </key>
    <key type="b" name="show-downloads-shortcut">
     <default>true</default>
      <summary>Show Downloads Shortcut</summary>
      <description>Show Downloads Shortcut.</description>
    </key>
    <key type="b" name="show-music-shortcut">
     <default>true</default>
      <summary>Show music Shortcut</summary>
      <description>Show music Shortcut.</description>
    </key>
    <key type="b" name="show-pictures-shortcut">
     <default>true</default>
      <summary>Show pictures- Shortcut</summary>
      <description>Show pictures- Shortcut.</description>
    </key>
    <key type="b" name="show-videos-shortcut">
     <default>true</default>
      <summary>Show videos Shortcut</summary>
      <description>Show videos Shortcut.</description>
    </key>
    <key type="b" name="show-software-shortcut">
     <default>true</default>
      <summary>Show software Shortcut</summary>
      <description>Show software Shortcut.</description>
    </key>
    <key type="b" name="show-settings-shortcut">
     <default>true</default>
      <summary>Show settings Shortcut</summary>
      <description>Show settings Shortcut.</description>
    </key>
    <key type="b" name="show-tweaks-shortcut">
     <default>true</default>
      <summary>Show tweaks Shortcut</summary>
      <description>Show tweaks Shortcut.</description>
    </key>
    <key type="b" name="show-terminal-shortcut">
     <default>true</default>
      <summary>Show terminal Shortcut</summary>
      <description>Show terminal Shortcut.</description>
    </key>
    <key type="b" name="show-activities-overview-shortcut">
     <default>true</default>
      <summary>Show activities-overview Shortcut</summary>
      <description>Show activities-overview Shortcut.</description>
    </key>
      <key type="b" name="show-external-devices">
     <default>false</default>
      <summary>Show External Devices</summary>
      <description>Show External Devices.</description>
    </key>
	<key type="b" name="show-bookmarks">
     <default>false</default>
      <summary>Show Bookmarks</summary>
      <description>Show Bookmarks.</description>
    </key>
    <key type="b" name="show-logout-button">
     <default>true</default>
      <summary>Show logout button</summary>
      <description>Show logout button.</description>
    </key>
    <key type="b" name="show-lock-button">
     <default>true</default>
      <summary>Show lock button</summary>
      <description>Show lock button.</description>
    </key>
    <key type="b" name="show-suspend-button">
     <default>false</default>
      <summary>Show suspend button</summary>
      <description>Show suspend button.</description>
    </key>
    <key type="b" name="show-power-button">
     <default>true</default>
      <summary>Show power button</summary>
      <description>Show power button.</description>
    </key>
    <key type="b" name="multi-monitor">
      <default>false</default>
      <summary>Display on all monitors</summary>
      <description>Display the menu on all monitors when using Dash to Panel.</description>
    </key>
    <key type="b" name="disable-activities-hotcorner">
      <default>false</default>
      <summary>Disable activities hotcorner</summary>
      <description>Disable activities hotcorner.</description>
    </key>
    <key name="menu-hotkey" enum="org.gnome.shell.extensions.arc-menu.menu-hotkey">
      <default>'Undefined'</default>
      <summary>The menu hotkey to open the Arc Menu.</summary>
      <description>The menu hotkey to open the Arc Menu.</description>
    </key>
    <key type="b" name="enable-menu-keybinding">
      <default>false</default>
      <summary>Enable the keybinding for the Arc Menu.</summary>
      <description>Enable the keybinding for the Arc Menu.</description>
    </key>
    <key type="s" name="menu-keybinding-text">
      <default>'&lt;Super&gt;x'</default>
      <summary>Keybinding to open the Arc Menu.</summary>
      <description>Keybinding to open the Arc Menu..</description>
    </key>
    <key type="as" name="menu-keybinding">
      <default><![CDATA[['<Super>x']]]></default>
      <summary>Keybinding to open the Arc Menu.</summary>
      <description>Keybinding to open the Arc Menu.</description>
    </key>
    <key name="position-in-panel" enum="org.gnome.shell.extensions.arc-menu.menu-position">
      <default>'Left'</default>
      <summary>The menu position in the panel</summary>
      <description>The menu position in the panel.</description>
    </key>
    <key name="menu-button-appearance" enum="org.gnome.shell.extensions.arc-menu.menu-button-appearance">
      <default>'Icon'</default>
      <summary>Appearance of the menu button.</summary>
      <description>Appearance of the menu button.</description>
    </key>
      <key name="avatar-style" enum="org.gnome.shell.extensions.arc-menu.avatar-style">
      <default>'Circular'</default>
      <summary>Appearance of the avatar icon.</summary>
      <description>Appearance of the avatar icon.</description>
    </key>
    <key name="menu-button-text" enum="org.gnome.shell.extensions.arc-menu.menu-button-text">
      <default>'System_Text'</default>
      <summary>Text of the menu button.</summary>
      <description>Text of the menu button.</description>
    </key>
    <key type="b" name="enable-menu-button-arrow">
      <default>false</default>
      <summary>Enables the default menu button arrow.</summary>
      <description>Enables the default menu button arrow.</description>
    </key>
    <key type="b" name="enable-large-icons">
      <default>false</default>
      <summary>Enables large icons for applications.</summary>
      <description>Enables large icons for applications and search results.</description>
    </key>
    <key type="s" name="custom-menu-button-text">
      <default>'Applications'</default>
      <summary>Text of the menu button.</summary>
      <description>Text of the menu button.</description>
    </key>
    <key name="menu-button-icon" enum="org.gnome.shell.extensions.arc-menu.menu-button-icon">
      <default>'Arc_Menu_Icon'</default>
      <summary>Icon of the menu button.</summary>
      <description>Icon of the menu button.</description>
    </key>
    <key type="s" name="custom-menu-button-icon">
      <default>''</default>
      <summary>File path of the custom icon for the menu button.</summary>
      <description>File path of the custom icon for the menu button.</description>
    </key>
    <key type="d" name="custom-menu-button-icon-size">
      <default>22</default>
      <summary>Size of the icon in percentage.</summary>
      <description>Size of the icon in percentage.</description>
    </key>
    <key name="pinned-app-list" type="as">
      <default>["Firefox","firefox", "firefox.desktop","Terminal", "utilities-terminal", "org.gnome.Terminal.desktop","Arc Menu Settings", "emblem-system-symbolic", "gnome-shell-extension-prefs arc-menu@linxgem33.com"]</default>
      <summary>List of Apps Pinned to Menu</summary>
      <description>
        List of Apps Pinned to Menu
      </description>
    </key>
     <key name="color-themes" type="aas">
      <default>[['Arc Menu Theme', 'rgba(28, 28, 28, 0.98)', 'rgba(211, 218, 227, 1)', 'rgb(63,62,64)', 'rgba(238, 238, 236, 0.1)', 'rgb(63,62,64)', '9', '0', '0', '0', '0', 'false'], 
      ['Dark Blue Theme', 'rgb(25,31,34)', 'rgb(189,230,251)', 'rgb(41,50,55)', 'rgb(41,50,55)', 'rgb(41,50,55)', '9', '1', '5', '15', '20', 'true'], 
      ['Light Blue Theme', 'rgb(255,255,255)', 'rgb(51,51,51)', 'rgb(235,235,235)', 'rgba(189,230,251,0.9)', 'rgba(189,230,251,0.9)', '9', '1', '5', '15', '20', 'true']]</default>
      <summary>List of color-themes</summary>
      <description> List of color themes.
      </description>
    </key>
    <key name="color-theme-index" type="i">
      <default>0</default>
      <summary>Color theme selected</summary>
      <description> Color theme selected,used for color-themes.
      </description>
    </key>
  </schema>
</schemalist>
